ONVIF::PTZ::Types::DNSInformation(3)

NAME
ONVIF::PTZ::Types::DNSInformation

DESCRIPTION
Perl data type class for the XML Schema defined complexType DNSInformation from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   FromDHCP

•   SearchDomain

•   DNSFromDHCP

•   DNSManual

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::DNSInformation
   FromDHCP =>  $some_value, # boolean
   SearchDomain =>  $some_value, # token
   DNSFromDHCP =>  { # ONVIF::PTZ::Types::IPAddress
     Type => $some_value, # IPType
     IPv4Address => $some_value, # IPv4Address
     IPv6Address => $some_value, # IPv6Address
   },
   DNSManual =>  { # ONVIF::PTZ::Types::IPAddress
     Type => $some_value, # IPType
     IPv4Address => $some_value, # IPv4Address
     IPv6Address => $some_value, # IPv6Address
   },
   Extension =>  { # ONVIF::PTZ::Types::DNSInformationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL